#!/usr/bin/env bash
#==============================================================================
# Copyright and license info is available in the LICENSE file included with
# the Server Deployment Package (SDP), and also available online:
# https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
#------------------------------------------------------------------------------

set -e
instance=${1}
shift
source /p4/common/bin/p4_vars $instance
source /p4/common/bin/backup_functions.sh
set_vars
if [[ -x "/p4/${instance}/bin/p4p_${instance}_init" ]]; then
   exec $@
fi
