# SDP Documentation Information

Now being converted to ASCIIDoctor format (*.adoc), from which we can create HTML and PDF output.

# How to run

With tools installed, it is as simple as:

    make

# Installing Tools

* `pandoc` for conversions
* `asciidoctor` for basic HTML
* `asciidoctor-pdf` for PDF output

Downloads:

* https://asciidoctor.org/docs/user-manual/#system-requirements
* https://asciidoctor.org/docs/asciidoctor-pdf/#getting-started
* https://pandoc.org/installing.html

# Converting from MS Word

Conversions from Word done like this:

https://asciidoctor.org/docs/migrating-from-msword/

pandoc --from=docx --to=asciidoc --wrap=none --atx-headers --extract-media=extracted-media SDP_Guide.Unix#13.docx > output.adoc

You may need to look at the extracted-media directory.

# Finding non UTF8 chars

When converting from MS Word you may get an error message from `asciidoctor-pdf` about UTF8/binary problems 
and things like smart quotes, or em-dashes.

perl -ne 'print "$. $_" if m/[\x80-\xFF]/' SDP_Guide.Unix.adoc
